Package gov.nasa.gsfc.sscweb.schema

# Class CoordinateOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.CoordinateOptions

Direct Known Subclasses:
  `FilteredCoordinateOptions`

public class CoordinateOptions extends Object
Coordinate system component options. <p>Java class for CoordinateOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="CoordinateOptions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="CoordinateSystem" type="{http://sscweb.gsfc.nasa.gov/schema}CoordinateSystem"/> <element name="Component" type="{http://sscweb.gsfc.nasa.gov/schema}CoordinateComponent"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected CoordinateComponent`
  `component`
  Specifies the coordinate system component.
  `protected CoordinateSystem`
  `coordinateSystem`
  Specifies the coordinate system.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CoordinateOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CoordinateComponent`
  `getComponent()`
  Specifies the coordinate system component.
  `CoordinateSystem`
  `getCoordinateSystem()`
  Specifies the coordinate system.
  `void`
  `setComponent(CoordinateComponent value)`
  Sets the value of the component property.
  `void`
  `setCoordinateSystem(CoordinateSystem value)`
  Sets the value of the coordinateSystem property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### coordinateSystem

    protected CoordinateSystem coordinateSystem
    Specifies the coordinate system.

  - ### component

    protected CoordinateComponent component
    Specifies the coordinate system component.

- ## Constructor Details

  - ### CoordinateOptions

    public CoordinateOptions()

- ## Method Details

  - ### getCoordinateSystem

    public CoordinateSystem getCoordinateSystem()
    Specifies the coordinate system.
    Returns:
      possible object is `CoordinateSystem`

  - ### setCoordinateSystem

    public void setCoordinateSystem(CoordinateSystem value)
    Sets the value of the coordinateSystem property.
    Parameters:
      `value` - allowed object is `CoordinateSystem`
    See Also:
      - `getCoordinateSystem()`

  - ### getComponent

    public CoordinateComponent getComponent()
    Specifies the coordinate system component.
    Returns:
      possible object is `CoordinateComponent`

  - ### setComponent

    public void setComponent(CoordinateComponent value)
    Sets the value of the component property.
    Parameters:
      `value` - allowed object is `CoordinateComponent`
    See Also:
      - `getComponent()`